Subject: [IPFIX] Clarifying some wording in RFC 5101

From: Andrew Feren <[email-masked]>
Date: Mon, 26 Sep 2011 09:50:29 -0400

The discussion about timestamps in "The Metering Process Reliability 
Statistics Options Template" has me rereading RFCs.

The following sentence in RFC 5101 section 9 doesn't parse.

    The Collector MUST support the use of Templates containing multiple
    occurrences of _the similar_ Information Elements.

Should this read something more like

    The Collector MUST support the use of Templates containing multiple
    occurrences of _identical_ Information Elements.

or

    The Collector MUST support the use of Templates containing multiple
    occurrences of _the same_ Information Elements.

or

    The Collector MUST support the use of Templates containing multiple
    occurrences of _similar_ Information Elements.

In the last case what does "similar" mean and why does it need a MUST or 
even to be stated at all?

Is this something we can fix in 5101bis?

-Andrew

---

From: Brian Trammell <[email-masked]>
Date: Mon, 26 Sep 2011 15:54:44 +0200

Hi, Andrew,

I always read it as meaning the first of your alternatives.

Cheers, 

Brian

On Sep 26, 2011, at 3:50 PM, Andrew Feren wrote:

> The discussion about timestamps in "The Metering Process Reliability Statistics Options Template" has me rereading RFCs.
> 
>    occurrences of the similar Information Elements.
> 
>    occurrences of identical Information Elements.
> 
> or 
> 
>    occurrences of the same Information Elements.
> 
> or 
> 
>    occurrences of similar Information Elements.
> 
> In the last case what does "similar" mean and why does it need a MUST or even to be stated at all?
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: Andrew Feren <[email-masked]>
Date: Mon, 26 Sep 2011 09:57:13 -0400

Me too, but if that is what it means maybe that is what we should say.  :-)

-Andrew

---

From: Brian Trammell <[email-masked]>
Date: Mon, 26 Sep 2011 15:58:58 +0200

Absolutely. 

Benoit, is the correct thing to do here for Andrew to file an editorial erratum?

Cheers,

Brian